%define pkgname util-macros

Name: xorg-x11-util-macros
Version: 1.19.2
Release: 3
License: X11
Summary: X.org autotools macros
URL: http://x.org/

Source0: https://www.x.org/archive/individual/util/%{pkgname}-%{version}.tar.bz2

BuildRequires: gawk
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake

Requires: pkg-config
Requires: m4-gnu
Requires: automake

Conflicts: util-macros
Obsoletes: util-macros

%description
This contains some macros (xorg-macros) used by many X.org packages.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure
%make_build

%check
make check

%install
%make_install

%files
%defattr(-, qsys, *none)
%license COPYING
%doc README
%{_datadir}/aclocal/xorg-macros.m4
%{_datadir}/util-macros/INSTALL
%{_datadir}/pkgconfig/xorg-macros.pc

%changelog
* Tue Mar 30 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.19.2
- Obsolete and Conflict old package name provided by qsecofr repo

* Wed Oct 28 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.19.2
- Update license to X11

* Wed Jul 29 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.19.2
- Initial spec
